Changeset 1235 for ThirdParty/Glpk


Ignore:
Timestamp:
Feb 15, 2009 10:46:10 AM (11 years ago)
Author:
stefan
Message:

update to glpk 4.36

Location:
ThirdParty/Glpk/trunk
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1231 r1235  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.35.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.36.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.35.tar.gz
    21 tar xf glpk-4.35.tar
     20gunzip glpk-4.36.tar.gz
     21tar xf glpk-4.36.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.35
     24  glpk-4.36
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r1231 r1235  
    3737$(GLPKDIR)/src/glpapi18.c \
    3838$(GLPKDIR)/src/glpapi19.c \
     39$(GLPKDIR)/src/glpapi20.c \
    3940$(GLPKDIR)/src/glpavl.c \
    4041$(GLPKDIR)/src/glpbfd.c \
     
    100101$(GLPKDIR)/src/glpnet04.c \
    101102$(GLPKDIR)/src/glpnet05.c \
     103$(GLPKDIR)/src/glpnet06.c \
     104$(GLPKDIR)/src/glpnet07.c \
    102105$(GLPKDIR)/src/glppds.c \
    103106$(GLPKDIR)/src/glpqmd.c \
  • ThirdParty/Glpk/trunk/Makefile.in

    r1231 r1235  
    7676        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    7777        glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpapi18.lo \
    78         glpapi19.lo glpavl.lo glpbfd.lo glpbfx.lo glpcpx.lo glpdmp.lo \
    79         glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo glpini01.lo \
    80         glpini02.lo glpios01.lo glpios02.lo glpios03.lo glpios04.lo \
    81         glpios05.lo glpios06.lo glpios07.lo glpios08.lo glpios09.lo \
    82         glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo glplib02.lo \
    83         glplib03.lo glplib04.lo glplib05.lo glplib06.lo glplib07.lo \
    84         glplib08.lo glplib09.lo glplib10.lo glplib11.lo glplib12.lo \
    85         glplpf.lo glplpp01.lo glplpp02.lo glplpx01.lo glplpx02.lo \
    86         glplpx03.lo glplpx04.lo glplpx05.lo glplpx06.lo glplpx07.lo \
    87         glplpx08.lo glplpx09.lo glpluf.lo glplux.lo glpmat.lo \
    88         glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo \
    89         glpmpl06.lo glpmps01.lo glpmps02.lo glpnet01.lo glpnet02.lo \
    90         glpnet03.lo glpnet04.lo glpnet05.lo glppds.lo glpqmd.lo \
    91         glprgr.lo glprng01.lo glprng02.lo glpscf.lo glpscg.lo \
    92         glpscl.lo glpspm.lo glpspx01.lo glpspx02.lo glpsql.lo \
    93         glpssx01.lo glpssx02.lo
     78        glpapi19.lo glpapi20.lo glpavl.lo glpbfd.lo glpbfx.lo \
     79        glpcpx.lo glpdmp.lo glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo \
     80        glpini01.lo glpini02.lo glpios01.lo glpios02.lo glpios03.lo \
     81        glpios04.lo glpios05.lo glpios06.lo glpios07.lo glpios08.lo \
     82        glpios09.lo glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo \
     83        glplib02.lo glplib03.lo glplib04.lo glplib05.lo glplib06.lo \
     84        glplib07.lo glplib08.lo glplib09.lo glplib10.lo glplib11.lo \
     85        glplib12.lo glplpf.lo glplpp01.lo glplpp02.lo glplpx01.lo \
     86        glplpx02.lo glplpx03.lo glplpx04.lo glplpx05.lo glplpx06.lo \
     87        glplpx07.lo glplpx08.lo glplpx09.lo glpluf.lo glplux.lo \
     88        glpmat.lo glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo \
     89        glpmpl05.lo glpmpl06.lo glpmps01.lo glpmps02.lo glpnet01.lo \
     90        glpnet02.lo glpnet03.lo glpnet04.lo glpnet05.lo glpnet06.lo \
     91        glpnet07.lo glppds.lo glpqmd.lo glprgr.lo glprng01.lo \
     92        glprng02.lo glpscf.lo glpscg.lo glpscl.lo glpspm.lo \
     93        glpspx01.lo glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo
    9494libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
    9595@COIN_BUILD_GLPK_TRUE@am_libcoinglpk_la_rpath =
     
    278278$(GLPKDIR)/src/glpapi18.c \
    279279$(GLPKDIR)/src/glpapi19.c \
     280$(GLPKDIR)/src/glpapi20.c \
    280281$(GLPKDIR)/src/glpavl.c \
    281282$(GLPKDIR)/src/glpbfd.c \
     
    341342$(GLPKDIR)/src/glpnet04.c \
    342343$(GLPKDIR)/src/glpnet05.c \
     344$(GLPKDIR)/src/glpnet06.c \
     345$(GLPKDIR)/src/glpnet07.c \
    343346$(GLPKDIR)/src/glppds.c \
    344347$(GLPKDIR)/src/glpqmd.c \
     
    443446@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi18.Plo@am__quote@
    444447@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi19.Plo@am__quote@
     448@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi20.Plo@am__quote@
    445449@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    446450@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
     
    506510@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet04.Plo@am__quote@
    507511@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet05.Plo@am__quote@
     512@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet06.Plo@am__quote@
     513@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet07.Plo@am__quote@
    508514@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glppds.Plo@am__quote@
    509515@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpqmd.Plo@am__quote@
     
    675681@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi19.lo `test -f '$(GLPKDIR)/src/glpapi19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi19.c
    676682
     683glpapi20.lo: $(GLPKDIR)/src/glpapi20.c
     684@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi20.lo -MD -MP -MF "$(DEPDIR)/glpapi20.Tpo" -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c; \
     685@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi20.Tpo" "$(DEPDIR)/glpapi20.Plo"; else rm -f "$(DEPDIR)/glpapi20.Tpo"; exit 1; fi
     686@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi20.c' object='glpapi20.lo' libtool=yes @AMDEPBACKSLASH@
     687@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     688@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c
     689
    677690glpavl.lo: $(GLPKDIR)/src/glpavl.c
    678691@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    11151128@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    11161129@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet05.lo `test -f '$(GLPKDIR)/src/glpnet05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet05.c
     1130
     1131glpnet06.lo: $(GLPKDIR)/src/glpnet06.c
     1132@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnet06.lo -MD -MP -MF "$(DEPDIR)/glpnet06.Tpo" -c -o glpnet06.lo `test -f '$(GLPKDIR)/src/glpnet06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet06.c; \
     1133@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnet06.Tpo" "$(DEPDIR)/glpnet06.Plo"; else rm -f "$(DEPDIR)/glpnet06.Tpo"; exit 1; fi
     1134@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnet06.c' object='glpnet06.lo' libtool=yes @AMDEPBACKSLASH@
     1135@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1136@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet06.lo `test -f '$(GLPKDIR)/src/glpnet06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet06.c
     1137
     1138glpnet07.lo: $(GLPKDIR)/src/glpnet07.c
     1139@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnet07.lo -MD -MP -MF "$(DEPDIR)/glpnet07.Tpo" -c -o glpnet07.lo `test -f '$(GLPKDIR)/src/glpnet07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet07.c; \
     1140@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnet07.Tpo" "$(DEPDIR)/glpnet07.Plo"; else rm -f "$(DEPDIR)/glpnet07.Tpo"; exit 1; fi
     1141@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnet07.c' object='glpnet07.lo' libtool=yes @AMDEPBACKSLASH@
     1142@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1143@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet07.lo `test -f '$(GLPKDIR)/src/glpnet07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet07.c
    11171144
    11181145glppds.lo: $(GLPKDIR)/src/glppds.c
  • ThirdParty/Glpk/trunk/configure

    r1231 r1235  
    2008020080  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2008120081echo "${ECHO_T}${majorver}.${minorver}" >&6
    20082   if test $majorver != 4 || test $minorver != 35 ; then
    20083     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.35. Please update by rerunning get.GLPK\"" >&5
    20084 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.35. Please update by rerunning get.GLPK\"" >&2;}
     20082  if test $majorver != 4 || test $minorver != 36 ; then
     20083    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.36. Please update by rerunning get.GLPK\"" >&5
     20084echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.36. Please update by rerunning get.GLPK\"" >&2;}
    2008520085   { (exit 1); exit 1; }; }
    2008620086  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r1231 r1235  
    7474  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7575  AC_MSG_RESULT([${majorver}.${minorver}])
    76   if test $majorver != 4 || test $minorver != 35 ; then
    77     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.35. Please update by rerunning get.GLPK"])
     76  if test $majorver != 4 || test $minorver != 36 ; then
     77    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.36. Please update by rerunning get.GLPK"])
    7878  fi
    7979else
  • ThirdParty/Glpk/trunk/get.Glpk

    r1231 r1235  
    22
    33set -e
    4 glpk_ver=4.35
     4glpk_ver=4.36
    55
    66wgetcmd=wget
Note: See TracChangeset for help on using the changeset viewer.